{ config, lib, ... }:

{
  networking = {
    useNetworkd = true;
    hostName = "backstage";
    hostId = "0ccd2304";
  };

  systemd.network = {
    enable = true;
    networks = {
      "10-ethMgmt" = {
        matchConfig.Name = "ethMgmt";
        address = [
          "10.42.10.50/24"
        ];
        linkConfig.RequiredForOnline = false;
      };
      "20-sfp-port-1" = {
        matchConfig.Name = "sfp1";
        linkConfig.Unmanaged = true;
        linkConfig.RequiredForOnline = false;
      };
      "21-sfp-port-2" = {
        matchConfig.Name = "sfp2";
        linkConfig.Unmanaged = true;
        linkConfig.RequiredForOnline = false;
      };
      "30-infra" = {
        matchConfig.Name = "br-infra";
        #address = [
        #  "10.9.75.1/24"
        #];
        linkConfig.Unmanaged = true;
        linkConfig.RequiredForOnline = false;
      };
      "31-clients" = {
        matchConfig.Name = "br-clients";
        #address = [
        #  "10.10.75.1/24"
        #];
        linkConfig.Unmanaged = true;
        linkConfig.RequiredForOnline = false;
      };
      "32-ffka" = {
        matchConfig.Name = "br-ffka";
        linkConfig.Unmanaged = true;
        linkConfig.RequiredForOnline = false;
      };
    };
    netdevs = {
      "10-br-infra" = {
        netdevConfig = {
          Kind = "bridge";
          Name = "br-infra";
        };
      };
      "11-br-clients" = {
        netdevConfig = {
          Kind = "bridge";
          Name = "br-clients";
        };
      };
      "12-br-ffka" = {
        netdevConfig = {
          Kind = "bridge";
          Name = "br-ffka";
        };
      };
    };
    links = {
      "10-ethMgmt" = {
        linkConfig.Name = "ethMgmt";
        matchConfig.MACAddress = "9c:6b:00:8d:d0:8f";
      };
      "20-sfp-port-1" = {
        linkConfig.Name = "sfp1";
        matchConfig.MACAddress = "90:e2:ba:2e:ea:70";
      };
      "20-sfp-port-2" = {
        linkConfig.Name = "sfp2";
        matchConfig.MACAddress = "90:e2:ba:2e:ea:71";
      };
    };
  };
}
